Summary: The routing daemon which maintains routing tables.
Name: routed
Version: 0.16
Release: 5
Copyright: BSD
Group: System Environment/Daemons
Source: ftp://sunsite.unc.edu/pub/Linux/system/network/daemons/netkit-routed-%{version}.tar.gz
Source1: routed.init
Patch0: netkit-routed-0.16-jbj.patch
Patch1: netkit-routed-0.16-fork.patch
Prereq: /sbin/chkconfig
Buildroot: /var/tmp/%{name}-root

%description
The routed routing daemon handles incoming RIP traffic and broadcasts
outgoing RIP traffic about network traffic routes, in order to
maintain current routing tables.  These routing tables are essential
for a networked computer, so that it knows where packets need to be
sent.

The routed package should be installed on any networked machine.

%prep
%setup -q -n netkit-routed-%{version}
%patch0 -p1 -b .jbj
%patch1 -p1 -b .fork

%build
sh configure
perl -pi -e 's,-O2,\$(RPM_OPT_FLAGS),' MCONFIG

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
make INSTALLROOT=$RPM_BUILD_ROOT install
install -m 755 $RPM_SOURCE_DIR/routed.init $RPM_BUILD_ROOT/etc/rc.d/init.d/routed

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add routed

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del routed
fi

%files
%defattr(-,root,root)
/usr/sbin/routed
#/usr/sbin/ripquery
/usr/man/man8/routed.*
#/usr/man/man8/ripquery.*
%config	/etc/rc.d/init.d/routed

%changelog
* Thu Feb 10 2000 Jeff Johnson <jbj@redhat.com>
- remove ripquery, the gated ripquery (and gated itself) is preferred.

* Wed Feb  9 2000 Jeff Johnson <jbj@redhat.com>
- init script marked config.

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Mon Jan  3 2000 Bill Nottingham <notting@redhat.com>
- fix hang on startup

* Tue Dec 21 1999 Jeff Johnson <jbj@redhat.com>
- update to 0.16.

* Fri Sep 10 1999 Bill Nottingham <notting@redhat.com>
- chkconfig --del in %preun, not %postun

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 14)

* Tue Feb  9 1999 Jeff Johnson <jbj@redhat.com>
- check for /etc/sysconfig/routed before sourcing.

* Tue Dec 22 1998 Jeff Johnson <jbj@redhat.com>
- use stderr if no trace file specified (#423).
- use FD_ISSET not fds_bits (glibc-2.1).

* Tue Jun 16 1998 Jeff Johnson <jbj@redhat.com>
- add offset to get aligned ifreq's on alpha. This should be
  fixed in the kernel eventually.

* Tue May 19 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Sun May 10 1998 Alan Cox <alan@redhat.com>
- Fixed the trace bug. Traces must now go into /var/log/routed/*

* Mon May 04 1998 Michael K. Johnson <johnsonm@redhat.com>
- Added /etc/sysconfig/routed parsing to init script

* Sat May 02 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- enhanced initscripts

* Tue Oct 28 1997 Erik Troan <ewt@redhat.com>
- fixed init script (wasn't including function library)

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- added init script, chkconfig support

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
